Savee Developers

User

GET
/v1/me

Get the authenticated user

Authorization

Authorization
Required
Bearer <token>

Personal access token: the prefix sv_live_ followed by 24 characters. Generate one at https://savee.com/developers/.

In: header

Status codeDescription
200Authenticated user.
400Invalid input.
401Missing or invalid Bearer token.
402Authenticated but the user has no active subscription.
403The Public API is not available on this account.
429Rate limit exceeded. Retry after the number of seconds in Retry-After.
500Unexpected server error.
curl -X GET "https://api.savee.com/v1/me"

{
  "id": "63e1a4c2d242ec00094007f1",
  "username": "aliceb",
  "name": "Alice Bauer",
  "url": "https://savee.com/aliceb/",
  "avatar_url": "https://dm.savee.com/user-avatar/original/8kQ2mZp.jpg",
  "plan": {
    "active": true,
    "tiers": [
      "pro"
    ]
  }
}

On this page